Package healpix.essentials

# Enum MocQuery.MocQueryOp

java.lang.Object
java.lang.Enum<MocQuery.MocQueryOp>
healpix.essentials.MocQuery.MocQueryOp

All Implemented Interfaces:
  `Serializable`, `Comparable<MocQuery.MocQueryOp>`, `java.lang.constant.Constable`

Enclosing class:
  MocQuery

public static enum MocQuery.MocQueryOp extends Enum<MocQuery.MocQueryOp>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AND`
`NONE`
`NOT`
`OR`
`XOR`

## Method Summary

Modifier and Type
Method
Description
`static MocQuery.MocQueryOp`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static MocQuery.MocQueryOp[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AND

public static final MocQuery.MocQueryOp AND

### OR

public static final MocQuery.MocQueryOp OR

### XOR

public static final MocQuery.MocQueryOp XOR

### NOT

public static final MocQuery.MocQueryOp NOT

### NONE

public static final MocQuery.MocQueryOp NONE

## Method Details

### values

public static MocQuery.MocQueryOp[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static MocQuery.MocQueryOp valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null